Subject: Re: Debugging the cygwin DLL
From: Christopher Faylor <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 23 Feb 1999 21:52:23 -0500

On Mon, Feb 22, 1999 at 06:35:52PM -0500, DJ Delorie wrote:
>
>> Unfortunately, gdb's use of signals seems to interfere with
>> debugging the cygwin signal handling code.  I think I'm stuck with
>> using strace after all.
>
>Signals are just barely supported in gdb as is.  Chris and I also use
>strace to debug them.

Cygwin signals should be handled better in one of the recent gdb snapshots
if any adventurous soul would like to try to compile a new cygwin gdb.

The new snapshot should also allow some thread support as well as the
ability to attach to a running process using the *Win32* pid (not the
cygwin pid).

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]